{ pkgs, lib, quickshell-toki-night, ... }:
{
  systemd.user.services.quickshell = {
    Install.WantedBy = [ "graphical-session.target" ];

    Unit = {
      Description = "Quickshell desktop UI manager";
      Documentation = "https://git.tokinanpa.dev/toki/quickshell-toki-night";
      After = [ "graphical-session-pre.target" ];
      PartOf = [ "graphical-session.target" ];
    };

    Service.ExecStart = lib.getExe quickshell-toki-night.packages.${pkgs.system}.default;
  };
}
